summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAkseli Salovaara <akseli.salovaara@qt.io>2017-03-01 18:29:21 +0200
committerKonstantin Tokarev <annulen@yandex.ru>2017-03-03 12:26:24 +0000
commit8de4f42cb62b083cee959ae196eec6c593b3f8ea (patch)
treecb2bb000fce40334a3b574b6e759cb31bb3581cd
parent0fdc5369209225943aaa77672706fe9b607e0a89 (diff)
Provisioning: Upgrade conan version from 0.16.0 to 0.20.2
Conan provisioning fails on private Coin instance due to error message Could not find a version that satisfies the requirement conan==0.16.0 (from versions: 0.15.0, 0.16.1, 0.17.2, 0.18.1, 0.19.3, 0.20.0, 0.20.1, 0.20.2) No matching distribution found for conan==0.16.0 Upgrading to 0.16.1 resulted warning "Your conan's client version is deprecated for the current remote (v0.20.2). Upgrade conan client." and provisioning failed with "ERROR: All remotes failed" After upgrade to 0.20.2 conan provisioning script is working again. Change-Id: I2fe9d65460954c929abb4822d206dde42909d5b3 Reviewed-by: Konstantin Tokarev <annulen@yandex.ru>
-rw-r--r--coin/provisioning/common/03-conan.ps12
1 files changed, 1 insertions, 1 deletions
diff --git a/coin/provisioning/common/03-conan.ps1 b/coin/provisioning/common/03-conan.ps1
index 04be729d..6a4b4ebb 100644
--- a/coin/provisioning/common/03-conan.ps1
+++ b/coin/provisioning/common/03-conan.ps1
@@ -2,7 +2,7 @@
$scriptsPath = "C:\Python27\Scripts"
-& "$scriptsPath\pip.exe" install --upgrade conan==0.16.0
+& "$scriptsPath\pip.exe" install --upgrade conan==0.20.2
[Environment]::SetEnvironmentVariable("CI_CONAN_BUILDINFO_DIR", "C:\Utils\conanbuildinfos", "Machine")